WP.MU now 2.7.1

WP.MU now 2.7.1

So, if you are interested in a quick, professional and affordable install WPMU service – then you’ll be happy to know that WP.MU is now setting up and configuring patched 2.7.1 versions!

This also makes them fully compatible with the latest release of BuddyPress.

WP.MU now installing WordPress MU version 2.7.1